<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"> 
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://java.sun.com/jsf/facelets"
      xmlns:f="http://java.sun.com/jsf/core"
      xmlns:p="http://primefaces.org/ui"
      xmlns:h="http://java.sun.com/jsf/html"> 

<h:head>Teste</h:head> 
<body> 
   <h:form>
			<h:messages />
			<h:inputHidden value="#{clienteBean.cliente.id}" />
			<h1>Novo cliente</h1>

			<h:panelGrid columns="2">
			
			    <h:outputLabel value="código: " />
				<h:inputText value="#{clienteBean.clienteSelecionado.codigo}" readonly="true" />

				<h:outputLabel value="Nome: " />
				<h:inputText value="#{clienteBean.clienteSelecionado.nome}" />
				
				<h:outputLabel value="Sobrenome: " />
				<h:inputText value="#{clienteBean.clienteSelecionado.sobrenome}" />

				<h:outputLabel value="CPF: " />
				<h:inputText value="#{clienteBean.clienteSelecionado.cpf}" />
				
				<p:outputLabel for="dataNascimento" value="Data de nascimento:" />
                <p:calendar id="dataNascimento" value="#{clienteBean.clienteSelecionado.dataNascimento}" pattern="dd-MM-yyyy" mask="true" />
				
				<h:outputLabel value="Email: " />
				<h:inputText value="#{clienteBean.clienteSelecionado.email}" />
				
				<h:outputLabel value="Sexo: " />
				<h:inputText value="#{clienteBean.clienteSelecionado.sexo}" />
				
				<h:outputLabel value="Telefone: " />
				<h:inputText value="#{clienteBean.clienteSelecionado.telefone}" />
				
				<h:outputLabel value="Estado: " />
				<h:inputText value="#{clienteBean.clienteSelecionado.endereco.estado}" />
				
				<h:outputLabel value="Cidade: " />
				<h:inputText value="#{clienteBean.clienteSelecionado.endereco.cidade}" />
				
				<h:outputLabel value="CEP: " />
				<h:inputText value="#{clienteBean.clienteSelecionado.endereco.cep}" />
				
				<h:outputLabel value="Bairro: " />
				<h:inputText value="#{clienteBean.clienteSelecionado.endereco.bairro}" />
				
				<h:outputLabel value="Lougradouro: " />
				<h:inputText value="#{clienteBean.clienteSelecionado.endereco.lougradouro}" />
				
				<h:outputLabel value="Número: " />
				<h:inputText value="#{clienteBean.clienteSelecionado.endereco.numero}" />

				<p:commandButton action="#{clienteBean.alterar()}" value="Alterar" onstart="PF('Loading').show()" onsuccess="PF('Loading').hide()"/>
                <p:commandButton action="#{clienteBean.inicial()}" value="Cancelar" onstart="PF('Loading').show()" onsuccess="PF('Loading').hide()"/>
			</h:panelGrid>
			
	 <p:dialog modal="true" resizable="false" header="Values" widgetVar="dlg" showEffect="fold">
        <p:panelGrid id="display" columns="2" columnClasses="label,value">
            
            <h:outputText value="Mask:" />
            <h:outputText value="#{calendarView.date9}">
                <f:convertDateTime pattern="MM/dd/yyyy" />
            </h:outputText>

        </p:panelGrid>
    </p:dialog>

		</h:form>
</body> 
</html>
